DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Types | Static Public Member Functions | List of all members
SiSignaturePurpose Class Reference

Helper class for the Digital Signature Purpose Code Sequence. More...

## Public Types
enum | E_SignaturePurposeType { ESP_none = 0 , ESP_AuthorsSignature = 1 , ESP_CoauthorsSignature = 2 , ESP_CoparticipantsSignature = 3 , ESP_TranscriptionistSignature = 4 , ESP_VerificationSignature = 5 , ESP_ValidationSignature = 6 , ESP_ConsentSignature = 7 , ESP_SignatureWitnessSignature = 8 , ESP_EventWitnessSignature = 9 , ESP_IdentityWitnessSignature = 10 , ESP_ConsentWitnessSignature = 11 , ESP_InterpreterSignature = 12 , ESP_ReviewSignature = 13 , ESP_SourceSignature = 14 , ESP_AddendumSignature = 15 , ESP_ModificationSignature = 16 , ESP_AdministrativeSignature = 17 , ESP_TimestampSignature = 18 }
| purpose of digital signature as defined in DICOM BCID 7007. More...

## Static Public Member Functions
static const char * | getCodeValue (E_SignaturePurposeType purpose)
| return the code value for the given signature purpose More...
static const char * | getCodeMeaning (E_SignaturePurposeType purpose)
| return the code meaning for the given signature purpose More...
static const char * | getCodingSchemeDesignator (E_SignaturePurposeType purpose)
| return the coding scheme designator for the given signature purpose More...
static OFCondition | insertDigitalSignaturePurposeCodeSQ (DcmItem &seqItem, E_SignaturePurposeType sigPurpose)
| insert a digital signature purpose code sequence into the given DICOM item More...
static E_SignaturePurposeType | determineOverridePurpose (E_SignaturePurposeType currentPurpose, E_SignaturePurposeType overridePurpose)
| determine the signature purpose to be used, and prints a warning to the logger if an override required by the signature profile causes the user selection to be ignored. More...
static E_SignaturePurposeType | lookup (size_t num)
| look-up signature purpose enum by number More...
static void | printSignatureCodes (STD_NAMESPACE ostream &out)
| print a list of all signature purpose codes supported by this helper class. More...

## Detailed Description

Helper class for the Digital Signature Purpose Code Sequence.

Remarks
  this class is only available if DCMTK is compiled with OpenSSL support enabled.

## Member Enumeration Documentation

## ◆ E_SignaturePurposeType

enum SiSignaturePurpose::E_SignaturePurposeType

purpose of digital signature as defined in DICOM BCID 7007.

Remarks
  this enum is only available if DCMTK is compiled with OpenSSL support enabled.

Enumerator
ESP_none | no signature purpose specified
ESP_AuthorsSignature | Author's Signature.
ESP_CoauthorsSignature | Coauthor's Signature.
ESP_CoparticipantsSignature | Co-participant's Signature.
ESP_TranscriptionistSignature | Transcriptionist/Recorder Signature.
ESP_VerificationSignature | Verification Signature.
ESP_ValidationSignature | Validation Signature.
ESP_ConsentSignature | Consent Signature.
ESP_SignatureWitnessSignature | Signature Witness Signature.
ESP_EventWitnessSignature | Event Witness Signature.
ESP_IdentityWitnessSignature | Identity Witness Signature.
ESP_ConsentWitnessSignature | Consent Witness Signature.
ESP_InterpreterSignature | Interpreter Signature.
ESP_ReviewSignature | Review Signature.
ESP_SourceSignature | Source Signature.
ESP_AddendumSignature | Addendum Signature.
ESP_ModificationSignature | Modification Signature.
ESP_AdministrativeSignature | Administrative (Error/Edit) Signature.
ESP_TimestampSignature | Timestamp Signature.

## Member Function Documentation

## ◆ determineOverridePurpose()

static E_SignaturePurposeType SiSignaturePurpose::determineOverridePurpose | ( | E_SignaturePurposeType | currentPurpose,
|  | E_SignaturePurposeType | overridePurpose
| ) |  |
| static

determine the signature purpose to be used, and prints a warning to the logger if an override required by the signature profile causes the user selection to be ignored.

Parameters

  currentPurpose | signature purpose selected by the user
  overridePurpose | override signature purpose required by the signature profile

Returns
  signature purpose to be used for the digital signature purpose code sequence

## ◆ getCodeMeaning()

static const char* SiSignaturePurpose::getCodeMeaning | ( | E_SignaturePurposeType | purpose | ) |
| static

return the code meaning for the given signature purpose

Returns
  code meaning for the given signature purpose, NULL for ESP_none

## ◆ getCodeValue()

static const char* SiSignaturePurpose::getCodeValue | ( | E_SignaturePurposeType | purpose | ) |
| static

return the code value for the given signature purpose

Returns
  code value for the given signature purpose, NULL for ESP_none

## ◆ getCodingSchemeDesignator()

static const char* SiSignaturePurpose::getCodingSchemeDesignator | ( | E_SignaturePurposeType | purpose | ) |
| static

return the coding scheme designator for the given signature purpose

Returns
  coding scheme designator for the given signature purpose

## ◆ insertDigitalSignaturePurposeCodeSQ()

static OFCondition SiSignaturePurpose::insertDigitalSignaturePurposeCodeSQ | ( | DcmItem & | seqItem,
|  | E_SignaturePurposeType | sigPurpose
| ) |  |
| static

insert a digital signature purpose code sequence into the given DICOM item

Parameters

  seqItem | item into which the sequence is inserted. This should be an item of the DigitalSignaturesSequence.
  sigPurpose | signature purpose. If the purpose is ESP_none, nothing will be inserted and this method will immediately return with EC_Normal

Returns
  EC_Normal if successful, an error code otherwise

## ◆ lookup()

static E_SignaturePurposeType SiSignaturePurpose::lookup | ( | size_t | num | ) |
| static

look-up signature purpose enum by number

Parameters

  num | number, 0 for ESP_none, 1 for ESP_AuthorsSignature etc.

Returns
  signature purpose enum or ESP_none if number too high.

## ◆ printSignatureCodes()

static void SiSignaturePurpose::printSignatureCodes | ( | STD_NAMESPACE ostream & | out | ) |
| static

print a list of all signature purpose codes supported by this helper class.

This is used by dcmsign –list-purposes.

Parameters

  out | output stream to print to

The documentation for this class was generated from the following file:

- dcmsign/include/dcmtk/dcmsign/sipurpos.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1